#!/bin/bash
#Description:	uninstall SOS agent
OPTIND=1
while getopts m: o
do    case "$o" in
    m)
        SETTING_NAME="$OPTARG"
        #sos, sosop
        ;;
    [?])
        echo "invalid option: $1" 1>&2;
        usage "$0"
        exit 1;;
    esac
done
shift $((OPTIND-1)) # Shift off the options and optional --.

[ -z "${SETTING_NAME}" ] && SETTING_NAME="sos"

USER_PLIST="com.splashtop.${SETTING_NAME}-for-user.plist"
ROOT_PLIST="com.splashtop.${SETTING_NAME}-for-root.plist"
AGENT_PLIST="com.splashtop.${SETTING_NAME}-agent.plist"

USER_PATH="/Library/LaunchAgents/"$USER_PLIST
ROOT_PATH="/Library/LaunchAgents/"$ROOT_PLIST
AGENT_PATH="/Library/LaunchDaemons/"$AGENT_PLIST

ARGUMENTS="-S Aqua"
CURRENTUSER=$(stat -f '%Su' /dev/console)

#echo "=== Unload com.splashtop.sos-agent.plist"
#sudo launchctl unload $AGENT_PATH &
#echo "=== Console user: "$CURRENTUSER" , unload com.splashtop.sos-for-user.plist"
#sudo -u $CURRENTUSER launchctl unload $ARGUMENTS $USER_PATH

sudo rm -rf $ROOT_PATH
sudo rm -rf $USER_PATH
sudo rm -rf $AGENT_PATH

exit 0
